Appearance
GET
/web-pages/draft/drafts/{draftId}/sections/{sectionId}Required scope:
viskan:draft:readRetrieves a section by ID. Retrieves all variables alongside their values.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
sectionId string Format:
uuidIdentifier of the section. A section is a reusable content block that can be included in layouts.
Response
The section details and associated variables.
JSON
{
"sectionId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"sectionName": "Start Page Hero",
"sectionDescription": "Section for the start page displaying an image and text",
"sectionType": "IMAGE_AND_TEXT",
"content": "<p>{e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0}</p><image url={b6238f26-929b-41a2-862b-3029525e8b2f}>",
"status": "MODIFIED",
"variables": [
{
"variableId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"variableName": "Hero paragraph",
"variableType": "TEXT",
"status": "MODIFIED"
}
],
"layouts": [
{
"layoutId": "ede165df-ff75-45aa-8cac-ec6a851b2433",
"layoutName": "Main layout"
}
],
"searchableContent": "Start page"
}
| Error code | Description |
|---|---|
web-pages.retrieve-section.draft-not-found | Draft not found. |
web-pages.retrieve-section.section-not-found | Could not find the section by ID. |